Date: Sun, 23 Mar 1997 21:49:16 -0600
From: Chris Lawrence <quango@ix.netcom.com>
To: Linux/m68k Mailing List <linux-m68k@phil.uni-sb.de>
Subject: L68K: More 2.1.29 diffs
Organization: Kathie Lee's Sweatshops
X-Operating-System: Linux/m68k 2.1.29
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

The first diff exports csum_partial_copy, because it is needed by the
ipv6 module.  The second is needed if you've applied the pre-2.1.30
networking patches from linux-kernel.  It implements the new system
reboot abstractions (following the model in arch/i386).

With these patches and the pre-2.1.30 networking patch, ipv6 loads on m68k
(not that I've been able to try it out or anything...)

--- clean-linux-2.1.29/arch/m68k/kernel/m68k_ksyms.c	Mon Mar 17 17:56:09 1997
+++ linux/arch/m68k/kernel/m68k_ksyms.c	Sun Mar 23 21:04:10 1997
@@ -6,12 +6,14 @@
 #include <linux/mm.h>
 #include <linux/user.h>
 #include <linux/elfcore.h>
+#include <linux/in6.h>
 
 #include <asm/setup.h>
 #include <asm/machdep.h>
 #include <asm/pgtable.h>
 #include <asm/irq.h>
 #include <asm/semaphore.h>
+#include <asm/checksum.h>
 
 asmlinkage long long __ashrdi3 (long long, int);
 extern char m68k_debug_device[];
@@ -37,6 +39,9 @@
 EXPORT_SYMBOL(strnlen);
 EXPORT_SYMBOL(strrchr);
 EXPORT_SYMBOL(strstr);
+
+/* Networking helper routines. */
+EXPORT_SYMBOL(csum_partial_copy);
 
 /* The following are special because they're not called
    explicitly (the C compiler generates them).  Fortunately,
--- clean-linux-2.1.29/arch/m68k/kernel/process.c	Sun Feb 16 22:41:38 1997
+++ linux/arch/m68k/kernel/process.c	Sun Mar 23 19:35:02 1997
@@ -22,6 +22,7 @@
 #include <linux/malloc.h>
 #include <linux/user.h>
 #include <linux/a.out.h>
+#include <linux/reboot.h>
 
 #include <asm/uaccess.h>
 #include <asm/system.h>
@@ -52,10 +53,21 @@
 	return ret;
 }
 
-void hard_reset_now(void)
+void machine_restart(char * __unused)
 {
 	if (mach_reset)
 		mach_reset();
+}
+
+void machine_halt(void)
+{
+}
+
+void machine_power_off(void)
+{
+#if defined(CONFIG_APM) && defined(CONFIG_APM_POWER_OFF)
+	apm_set_power_state(APM_STATE_OFF);
+#endif
 }
 
 void show_regs(struct pt_regs * regs)


Chris
-- 
============================================================================
|        Chris Lawrence        |               My home page:               |
|    <quango@ix.netcom.com>    |    http://www.clark.net/pub/lawrencc/     |
|                              |                                           |
|      Amiga A4000/040 and     |       Visit the Amiga Web Directory       |
|       Linux/m68k 2.1.29      |      http://www.cucug.org/amiga.html      |
============================================================================
